<< gph_add | gph | gph_function >>

CCA (Computational Convex Analysis) >> gph > gph_eval

# gph_eval

Graph-matrix calculus (GPH), Function evaluation

### Calling Sequence

    Y = gph_eval(gph, X)

### Parameters

gph

  matrix. A function in GPH matrix form.

X

  column vector. The nondecreasing X values at which to evaluate the function.

Y

  column vector. The values obtained by evaluating gph at each X value.

### Description

Evaluates the given GPH function at a list of points. Returns a vector containing the function value at each point. Assumes that X is in nondecreasing order, to evaluate in linear time.

### Examples

    gph = [-1,  0, 0, 1, 2; ..
           -1, -1, 0, 0, 2; ..
            1,  0, 0, 0, 1];
    X = (-3:4)';
    Y = gph_eval(gph, X),

### See Also

- gph_function

### Authors

`Bryan Gardiner`, University of British Columbia, BC, Canada

<< gph_add | gph | gph_function >>